Katello - Bug #4748

errors on import manifest should complete dynflow task and display information to user
03/20/2014 03:58 PM - Thomas McKay

Status: Closed

Priority: Normal

Assignee: Ivan Necas

Category: Orchestration

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1093124 Red Hat JIRA:

Pull request:

Description

% hammer -v subscription upload --organization-id megacorp --file test/data/megacorp.zip
....this will work first time....

% hammer -v subscription upload --organization-id megacorp --file test/data/megacorp.zip
ERROR 2014-03-20 11:15:13 Exception ForemanTasks::Lock::LockConflict

Manifest upload failed:

ForemanTasks::Lock::LockConflict

In this case, an error importing the manifest happened ("manifest already imported") and this should be a non-error information
message to user.

Other cases (such as trying to import that manifest into an org other than megacorp) will generate real error message which should
be displayed to user and dynflow task completed anyway (with rollback if necessary).

Associated revisions

Revision f5312a9b - 06/10/2014 03:14 AM - Ivan Necas

Fixes #4748 - don't lock on manifest operations fail

Instead, skip the failed action and report the errors in the task output.
Revision 6¢cb65c11 - 06/10/2014 07:14 AM - lvan Necas

Fixes #4748 - don't lock on manifest operations fail

Instead, skip the failed action and report the errors in the task output.

Revision b3fb9ab1 - 06/10/2014 07:14 AM - lvan Necas
Fixes #4748 - update dependencies

Revision a5a08511 - 06/10/2014 09:05 AM - Ivan Necas
Merge pull request #4206 from iNecas/issue/4748

Fixes #4748 - don't lock on manifest operations fail

History

#1 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#2 - 03/21/2014 08:20 PM - Mike McCune
- Triaged deleted (Yes)

#3 - 03/21/2014 09:46 PM - Mike McCune
- Assignee set to Ivan Necas

- Triaged set to Yes

05/17/2024 1/2




#4 - 04/02/2014 09:39 PM - Mike McCune

we should just have the dynflow step get skipped and the task end up in stopped:error state vs paused. Paused causes you to not be able to resolve
the issue without having to go to the dynflow console.

#5 - 04/09/2014 11:44 PM - Mike McCune
WORKAROUND:

1. navigate to: https://yourhost/foreman_tasks/dynflow

2. find the task that is paused with Error

3. click on the details for it. Find the step that is errored out, click the 'skip' link
4. Resume the task

5. Repeat skipping substeps if there are further errors

Once you have the task in the Finished state you can import a manifest

#6 - 04/24/2014 08:24 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#7 - 04/30/2014 04:42 PM - Bryan Kearney
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1093124

#8 - 05/28/2014 07:47 AM - Ivan Necas
- Status changed from New to Assigned

- Target version set to 45

#9 - 06/10/2014 09:52 AM - lvan Necas
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:6¢cb65c11e6743f3aaadabc462f9f33e9d49c8445.
